* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
::-webkit-scrollbar {
    display: none;
}
body {
    background: #000000;
    font-family: 'Nobile', sans-serif;
}
#hero {
    width: 100vw;
    height: 100vh;
}
#mountains {
    width: 100vw;
    height: 100vh;
    background-image:   url('https://images.unsplash.com/photo-1621139261252-27d1a67449f4?ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&ixlib=rb-1.2.1&auto=format&fit=crop&w=1436&q=80 ');
    background-size: cover;
    background-position: center;
}
header {
    display: flex;
    justify-content: space-between;
    padding: 2em;
    padding-left: 5rem;
    padding-right: 5rem;
}

h1 {
    font-size: 55px;
    font-weight: bold;
    line-height: 132.74%;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    letter-spacing: 0.045em;
    color: #272727;
    text-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
    margin: 12%;
}
.logo {
        display: flex;
        align-items: center;
        text-align: center;
        color: #141414;
        text-decoration: none;
        font-size: 17px;
        line-height: 19px;
        font-style: normal;
        font-weight: bold;
}
a #hire {
    text-decoration: none;
    
}
#hire {
    display: flex;
    align-items: center;
    text-align: center;
    outline: none;
    padding: 11px;
    background-color: #616276;
    color: #fff;
    cursor: pointer;
    border: none;
    font-weight: bold;
    font-size: 12px;
    border-radius: 7px;
    transition: .5s;
    
}


/* #hire {
    background-color: blue
    } */
#hire:hover {
    color: #fff;
    box-shadow: 6px 6px 16px #00000034,
    6px 6px 16px inset #00000034,
    -6px -6px 16px #ffffff20,
    -6px -6px 16px inset #ffffff20;
    text-decoration: none;
}

/* about */

#about {
    width: 100vw;
    height: 100vh;
    margin-top: 10rem;
}
h2 {
    display: flex;
    align-items: center;
    text-align: center;
    justify-content: center;
    letter-spacing: 0.045em;
    font-size: 36px;
    color: #FFFFFF;
    /* padding: 1rem; */
}
#frame {
    width: 309px;
    height: 253px;
    background: linear-gradient(129.93deg, rgba(236, 242, 255, 0.2702) 7.62%, rgba(58, 62, 67, 0.4755) 93.69%);
    border-radius: 10px;
    margin: 2rem;
    margin-top: 5rem;
    margin-left: 6em;
}
#bio {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
}
#bio p {
    font-size: 19px;
    line-height: 147.24%;
    letter-spacing: 0.06em;
    color: #929292;
    padding: 7em 0 0 12em;
}

.my {
    width: 278px;
    height: 216px;
    border-radius: 9px;
}
#me {
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    padding-top: 1em;
}

/* project */

#project {
    width: 100vw;
    height: 100vh;
}
.project_frame {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-row-gap: 0;
    margin: 1rem 12rem 0 12rem;
    padding-bottom: 2rem;
    /* background: linear-gradient(311deg, rgba(115, 117, 121, 0.0502) 0%, rgba(58, 62, 67, 0.6555) 100%); */
    background: linear-gradient(59deg, rgba(115, 117, 121, 0.4602) 0%, rgba(58, 62, 67, 0.6555) 100%);
    border-radius: 1.5rem;   
}
#project h2 {
    width: 288px;
    height: 76px;
    font-weight: bold;
    font-size: 25px;
    line-height: 152.24%;
    margin: 0 auto;
}
#project_img {
   text-align: center;
    padding-top: 3em;
}
h4 {
    font-weight: 500;
    font-size: 18px;
    line-height: 147.24%;
    text-align: center;
    letter-spacing: 0.04em;
    color: #FFFFFF;
    margin-top: 1em;
}
.pro {
    width: 274px;
    height: 189px;
    border-radius: 17px;
    
}
.preview {
    background: linear-gradient(
    135deg
    ,#737579 5.02%,#3a3e43 65.55%);
    border-radius: 8px;
    width: 110px;
    height: 36px;
    margin-top: 1em;
    margin: 0 auto;
    cursor: pointer;
} 
.preview:hover {
    
    background: linear-gradient(
135deg
,#3a3e43 5.02%,#737579 65.55%); 

/* background-color: rgba(255, 255, 255, 0.05); */

}
.preview a {
    text-decoration: none;
}
.preview p {
   width: 122px;
   height: 36px;
   display: flex;
   align-items: center;
   text-align: center;
   letter-spacing: 0.04em;
   font-weight: bold;
   font-size: 18px;
   line-height: 147.24%;
   color: #ffff;
   padding-left: 1.7em;
   margin-top: 1em;
}

/* SKILLS */
#skills {
    width: 100vw;
    height: 100vh;
}
h3 {
    display: flex;
    align-items: center;
    text-align: center;
    color: #FFFFFF;
    font-weight: bold;
    font-size: 37px;
    line-height: 110.74%;
    justify-content: center;

}
.ico {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    padding: 5rem;
     grid-gap: 79px;
    padding-left: 14rem;
    padding-right: 9rem;
}
.skill_frame {
    background: linear-gradient(129.93deg, rgba(236, 242, 255, 0.2702) 7.62%, rgba(58, 62, 67, 0.4755) 93.69%);
    border-radius: 16px;
    width: 160px;
    height: 118px;
 display: flex;
 justify-content: center;
 align-items: center;

}
.boots {
    padding: 0.1rem 0 0 0.3rem;
    width: 112%;
}

/* Education */
.timeline-section{
	min-height: 100vh;
	padding: 100px 15px;
}
.timeline-items{
	max-width: 1000px;
	margin:auto;
	display: flex;
	flex-wrap: wrap;
	position: relative;
    margin-top: 4rem;
}
.timeline-items::before{
	content: '';
	position: absolute;
	width: 2px;
	height: 100%;
	background-color: #2f363e;
	left: calc(50% - 1px);
}
.timeline-item{
	margin-bottom: 40px;
	width: 100%;
	position: relative;
}
.timeline-item:last-child{
	margin-bottom: 0;
}
.timeline-item:nth-child(odd){
    padding-right: calc(50% + 30px);
	text-align: right;
}
.timeline-item:nth-child(even){
    padding-left: calc(50% + 30px);
}
.timeline-dot{
	height: 16px;
	width: 16px;
	background-color: #fff;
	position: absolute;
	left: calc(50% - 8px);
	border-radius: 50%;
	top:10px;
}
.last_p {
    padding-right: 5rem;
}
.timeline-date{
	font-size: 18px;
	color: #eaa023;
	margin:6px 0 15px;
}
.timeline-content{
    /* background-color: #2f363e; */
    background: linear-gradient(129.93deg, rgba(236, 242, 255, 0.2702) 7.62%, rgba(58, 62, 67, 0.4755) 93.69%);
	padding: 30px;
	border-radius: 5px;
}
.timeline-content h3{
    font-size: 20px;
	color: #ffffff;
	margin:0 0 10px;
	text-transform: capitalize;
	font-weight: 500;
}
.timeline-content p{
    color: #c8c8c8;
	font-size: 16px;
	font-weight: 300;
	line-height: 22px;
}
/* contact  */
#contact {
    height: 23vh;
}
.social {
    background: linear-gradient(129.93deg, rgba(236, 242, 255, 0.2702) 7.62%, rgba(58, 62, 67, 0.4755) 93.69%);
    padding: 2rem;
}
ul {
    display: flex;
    justify-content: center;
    align-items: center;
    
}
ul li {
    position: relative;
    list-style: none;
    margin: 10px;
}
#links {
    border-radius: 10px;
    text-decoration: none;
    color: #fff;
    font-size: 1.5em;
    padding: .5rem 1.5rem .5rem 1.5rem;
    /* border: 1px solid rgba(255, 255, 255, 0.1); */
 
    border-bottom: 1px solid rgba(255, 255, 255, 0.2); 
    /* box-shadow: 0 5px 45px rgba(0, 0, 0, 0.1); */
    background: linear-gradient(129.93deg, rgba(236, 242, 255, 0.2702) 7.62%, rgba(58, 62, 67, 0.4755) 93.69%);
    transition: 0.5s;
}
 #links:hover {
    background-color: black;
   /* transform: translateY(-20px */
}
#hire2 {
 text-align: center;
    outline: none;
    padding: 11px;
    background-color: #37393c;
    color: #fff;
    cursor: pointer;
    border: none;
    font-weight: bold;
    font-size: 12px;
    border-radius: 7px;
    transition: .5s;
    margin-left: 34rem;
    margin-right: 34rem;
    margin-top: 2rem;
}
#hire2:hover {
    color: black;
    box-shadow: 6px 6px 16px #00000034,
    6px 6px 16px inset #00000034,
    /* -6px -6px 16px #ffffff20, */
    -6px -6px 16px inset #ffffff20;
}
.footer {
    color: #8e9293;
    text-align: center;
    font-size: small;
    padding-top: 1em;
}
/* responsive */
@media(max-width: 767px){
	.timeline-items::before{
		left: 7px;
	}
	.timeline-item:nth-child(odd){
		padding-right: 0;
		text-align: left;
	}
	.timeline-item:nth-child(odd),
	.timeline-item:nth-child(even){
		padding-left: 37px;
	}
	.timeline-dot{
		left:0;
	}
}
/* media querry */


/* Extra small devices (phones, 600px and down) */
@media only screen and (max-width: 600px) {
    h1 {
        font-size: 33px;
        margin-top: 25%;
    }
    h2 {
        font-size: 34px;
        padding-right: 33%;
        
    }
    header {
        padding-left: 2rem;
        padding-right: 2rem;
    }
    #hire {
        font-size: 11px;
    }
    #bio {
        grid-template-columns: repeat(1, 1fr);
    }
    #bio p {
        padding: 5em 0 0 1em;
        letter-spacing: 0.0em;
    }
    .my {
        width: 236px;
        height: 186px;
    }
    #frame {
        width: 256px;
        height: 219px;
        margin-left: 2em;
    }
    .project_frame {
        display: grid;
        grid-template-columns: repeat(1, 1fr);
        grid-row-gap: 0;
        margin: 2rem 0 0 0;
        margin-left: 1.5rem;
        margin-right: 1rem;
    }
    #project {
        margin-top: 133%;
    }
    #project h2{
        margin: 0 auto;
        padding-left: 7rem;
        font-size: 23px;
    }
    .pro {
        width: 245px;
    }
    .ico {
        display: grid;
        grid-template-columns: repeat(1, 1fr);
        padding-left: 6.5rem;
    }
    #skills {
        margin: 154% 0 0 0;
    }
    .timeline-section {
        margin-top: 78rem;
    }
    #hire2 {
        margin-left: 5rem;
        margin-right: 5rem;
    }

  }
  
  /* Small devices (portrait tablets and large phones, 600px and up) */
  @media only screen and (min-width: 600px) {
   
  }
  
  /* Medium devices (landscape tablets, 768px and up) */
  @media only screen and (min-width: 768px)  {
    h1 {
        margin-top: 26%;
    }
    .logo {
        font-size: 20px;
    }
    #hire {
        font-size: 16px;
    }
  } 
  @media only screen 
    and (min-device-width : 768px) 
    and (max-device-width : 1024px) {
    /* Styles */
     h1 {
         font-size: 71px;
         padding-top: 7%;
     }
     #bio p {
        padding: 5em 0 0 2em;
     }
     .project_frame {
        margin: 1rem 4rem 0 4rem;
     }
     .ico {
         grid-template-columns: repeat(2, 1fr);
         padding-right: 1rem;
     }
     .social {
         padding: 4rem;
     }
     #hire2 {
         margin-left: 16rem;
         margin-right: 16rem;
     }
  }
  /* Large devices (laptops/desktops, 992px and up) */
  @media only screen and (min-width: 992px) {
    h1 {
        margin-top: 12%;
    }
    .logo {
        font-size: 17px;
    }
    #hire {
        font-size: 12px;
    }
    .project_frame {
        margin-left: 14rem;
        margin-right: 14rem;
    }
    #bio p {
        padding: 4em 0 0 12em;
    }
  } 
  @media only screen and (max-width: 280px) {
     h2 {
         font-size: 27px;
     }
     #frame {
         width: 213px;
     }
     .ico {
        padding-left: 4rem;
    }
  }
  @media only screen and (min-width: 375px) {
    .ico {
        padding-left: 7rem;
    }
}


  @media only screen and (min-width: 411px) {
      .ico {
          padding-left: 8rem;
      }
  }

  @media only screen and (max-width: 320px) {
    #project {
        margin-top: 185%;
    }
    .ico {
        padding-left: 5rem;
    }
}
@media only screen and (min-width: 540px) {
    .ico {
        padding-left: 12rem;
    }
}
  /* Extra large devices (large laptops and desktops, 1200px and up) */
  @media only screen and (min-width: 1024px) {
      /* .ico {
        margin-left: 6rem;
        margin-right: 6rem;
      } */
  }
  
